/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.evasion.ejbfacade;

import com.evasion.entity.Person;
import com.evasion.exception.PersistenceViolationException;
import com.evasion.ejb.local.DonationManagerLocal;
import com.evasion.ejb.remote.DonationManagerRemote;
import javax.ejb.Local;
import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author sebastien.glon
 */
@Stateless
@Local(value = DonationManagerLocal.class)
@Remote(value = DonationManagerRemote.class)
public class DonationManager implements DonationManagerLocal, DonationManagerRemote {

    @PersistenceContext(unitName = "EvasionPU")
    private EntityManager em;

    @Override
    public Long savePromesse(Person p, Long l, String d) throws PersistenceViolationException {
        return (new com.evasion.plugin.donation.DonationManager(em)).savePromesse(p, l, d);
    }

    @Override
    public void validDon(Long l) {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
