/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.evasion.ejbfacade;

import com.evasion.ejb.local.PartnershipManagerLocal;
import com.evasion.ejb.remote.PartnershipManagerRemote;
import com.evasion.entity.Corporation;
import com.evasion.entity.Partenaire;
import com.evasion.exception.PersistenceViolationException;
import java.util.List;
import javax.ejb.Local;
import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author sebastien
 */
@Stateless
@Local(value = PartnershipManagerLocal.class)
@Remote(value = PartnershipManagerRemote.class)
public class PartnershipManager implements PartnershipManagerLocal, PartnershipManagerRemote {

    @PersistenceContext(unitName = "EvasionPU")
    private EntityManager em;

    @Override
    public Partenaire savePartnership(Partenaire partenaire) throws PersistenceViolationException {
        return (new com.evasion.plugin.partnership.PartnershipManager(em)).savePartnership(partenaire);
    }

    @Override
    public List<Partenaire> listActivePartenaires() {
        return (new com.evasion.plugin.partnership.PartnershipManager(em)).listActivePartenaires();
    }

    @Override
    public List<Partenaire> listAllPartenaires() {
        return (new com.evasion.plugin.partnership.PartnershipManager(em)).listAllPartenaires();
    }

    @Override
    public List<Corporation> listPotentialPartenaires() {
        return (new com.evasion.plugin.partnership.PartnershipManager(em)).listPotentialPartenaires();
    }

}
